Subject: technical questions

From: [email-masked] (Andre Lewis)
Date: Mon, 24 Mar 1997 10:44:40 -0800

#1)     I am having some problems setting up the WU-Archive FTP server
on a
Solaris 2.5.1 machine.  The first problem occurs when I logon using the
anonymous user id, as shown in the following session:

mymachine# ftp someothermachine
Connected to someothermachine.
220 enforce FTP server (Version wu-2.4(2) Sun Mar 16 21:56:12 PST 1997)
ready.
Name (someothermachine:root): anonymous
331 Guest login ok, send your complete e-mail address as password.
Password:
230-Welcome to the XYZCompany FTP server. 
230-Local time is Sun Mar 23 21:54:43 1997. 
230-There are 1 out of a possible 8 users signed on.
230-
230 Guest login ok, access restrictions apply.
ftp> pwd
257 "/" is current directory.
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> cd incoming
250 CWD command successful.
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> cd ../outgoing
250 CWD command successful.
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> cd ../pub
250 CWD command successful.
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> cd ..
250 CWD command successful.
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> cd pub
250 CWD command successful.
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> cd ../incoming
250 CWD command successful.
ftp> ls 
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> quit
221 Goodbye.

What is the 425 data socket/bad file number error and why do I get it.

#2.     I notice that I get an ftpd.log in /var/log on a server that
was set up before I came in.  Is the ftpd.log a feature of WU-Archive
FTP and if so, how do I set it up?